unit Feldervergleich_U;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Edit1: TEdit;
    Label4: TLabel;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    Edit5: TEdit;
    Edit6: TEdit;
    Edit7: TEdit;
    Edit8: TEdit;
    Einlesen: TButton;
    Vergleichen: TButton;
    Loeschen: TButton;
    Beenden: TButton;
    procedure BeendenClick(Sender: TObject);
    procedure LoeschenClick(Sender: TObject);
    procedure EinlesenClick(Sender: TObject);
    procedure VergleichenClick(Sender: TObject);
   
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

type
  feld = array[1..4] of integer;

const
  n = 4;

var
  Form1: TForm1;
  feld1, feld2: feld;

implementation

{$R *.DFM}

procedure TForm1.BeendenClick(Sender: TObject);
begin
  Close;
end;

procedure TForm1.LoeschenClick(Sender: TObject);
var
  i: integer;
begin
  Edit1.Clear;
  Edit2.Clear;
  Edit3.Clear;
  Edit4.Clear;
  Edit5.Clear;
  Edit6.Clear;
  Edit7.Clear;
  Edit8.Clear;
  Edit1.SetFocus;
  for i := 1 to 4 do begin
    feld1[i] := 0;
    feld2[i] := 0;
  end;
end;

procedure TForm1.EinlesenClick(Sender: TObject);
begin
  feld1[1] := StrToInt(Edit1.Text);
  feld1[2] := StrToInt(Edit2.Text);
  feld1[3] := StrToInt(Edit3.Text);
  feld1[4] := StrToInt(Edit4.Text);
  feld2[1] := StrToInt(Edit5.Text);
  feld2[2] := StrToInt(Edit6.Text);
  feld2[3] := StrToInt(Edit7.Text);
  feld2[4] := StrToInt(Edit8.Text);
  ShowMessage('Die Daten wurden erfolgreich eingelesen!');
end;

function vergleiche(feld1, feld2: feld): boolean;
var
  i: integer;
begin
  for i := 1 to n do begin
    if feld1[i] = feld2[i] then vergleiche := true
    else begin
      vergleiche := false;
      exit;
    end;  
  end;  
end;

procedure TForm1.VergleichenClick(Sender: TObject);
var
  gleich: Boolean;
begin
  gleich := vergleiche(feld1,feld2);
  if gleich = true then ShowMessage('Beide Felder sind identisch!')
    else ShowMessage('Die Felder sind nicht identisch!');
end;


end.
